### Hierarchy

- BaseSchemaField
  - BaseSchemaFieldArray
  - BaseSchemaAddPair
  - BaseSchemaAddRecord
  - BaseSchemaEthWallet
  - BaseSchemaCombine

### Implements

- TypeParams

## Index

### Constructors

- constructor

### Properties

- additionalProperties
- description
- required
- type

## Constructors

### constructor

- new BaseSchemaField(type?: string, description?: string, required?: Array<string>, additionalProperties?: boolean): BaseSchemaField

- - Defined in utils/types/BaseSchema.ts:9

  #### Parameters

  - ##### Optional type: string

  - ##### Optional description: string

  - ##### Optional required: Array<string>

  - ##### Optional additionalProperties: boolean

  #### Returns BaseSchemaField

## Properties

### Optional additionalProperties

additionalProperties: boolean

- Defined in utils/types/BaseSchema.ts:9

### Optional description

description: string

- Defined in utils/types/BaseSchema.ts:7

### Optional required

required: Array<string>

- Defined in utils/types/BaseSchema.ts:8

### type

type: string

- Defined in utils/types/BaseSchema.ts:6

Generated using TypeDoc